---
updatedAt: 2026-07-02T15:27:26.000Z
agentTools:
  projectIndex: https://developers.taboola.com/backstage-api/llms.txt
---

# Dimensions, Filters and Columns

## Dimensions

When you invoke the reporting endpoint for a given *report*, you need to specify the desired *dimension*. A dimension determines how data is aggregated. For example, you might choose the `platform_breakdown` dimension, to see data aggregated *per-platform* - or the `day` dimension, to see data aggregated *per-day*.

The following code snippet shows a call made to the [Campaign Summary Report](https://developers.taboola.com/backstage-api/reference/campaign-summary-report) with the `day` dimension. (The `dimension` *path param* follows just after "/dimensions/".)

```http Campaign Summary Report (&#x60;day&#x60; dimension)
GET /backstage/api/1.0/taboola-demo-advertiser/reports/
campaign-summary/dimensions/day?start_date=2015-03-30&end_date=2015-03-30
```

## Filters

For a given *report* and *dimension*, you will need to pass 1 or more appropriate *filters*. Filters are *query string* params that *filter* the data view returned (i.e. reduce the size of the result set).

For a given *dimension*, there are *mandatory* filters (that must be passed in *every* request) - as well as *optional* filters (that you can add at your own discretion).

In the following code snippet, 2 *mandatory* filters are passed in the *query string* - `start_date` and `end_date`:

```http Campaign Summary Report (&#x60;day&#x60; dimension)
GET /backstage/api/1.0/taboola-demo-advertiser/reports/
campaign-summary/dimensions/day?start_date=2015-03-30&end_date=2015-03-30
```

> 📘
>
> For each *dimension* supported by a given *report*, refer to the documentation for a list of *mandatory* and *optional* *filters*:
>
> * [Campaign Summary Report](https://developers.taboola.com/backstage-api/docs/campaign-summary-dimensions)
> * [Top Campaign Content Report](https://developers.taboola.com/backstage-api/docs/top-campaign-content-dimensions)

## Columns

### Dimension Columns

Dimension columns *identify* a given dimension. These columns are present for the relevant dimensions only.

### Standard Columns

Standard columns contain performance metrics. These columns are present for the majority of dimensions.

> 📘
>
> For *each* report, refer to the documentation for a list of *standard* columns and *dimension* columns.